selector: `aiFlyoutMenu`

### Hierarchy

- TooltipDirective
  - FlyoutMenuDirective

## Index

### Inputs

- aiFlyoutMenu
- flip

### Constructors

- constructor

### Properties

- aiFlyoutMenu
- appendInline
- ariaOwns
- className
- closeTrigger
- data
- descriptorId
- dialogConfig
- dialogRef
- dialogService
- disabled
- elementRef
- eventService
- flip
- gap
- hasPopup
- ibmDialog
- ibmTooltip
- isOpen
- isOpenChange
- menuClass
- offset
- onClose
- onOpen
- placement
- role
- shouldClose
- tabIndex
- title
- tooltipType
- trigger
- viewContainerRef
- wrapperClass
- dialogCounter

### Accessors

- menuBottomClass
- menuTopClass
- openClass

### Methods

- close
- ngOnChanges
- ngOnDestroy
- ngOnInit
- onDialogChanges
- onDialogInit
- open
- toggle
- updateConfig

## Constructors

### constructor

- new FlyoutMenuDirective(elementRef: ElementRef<any>, viewContainerRef: ViewContainerRef, dialogService: DialogService, eventService: EventService): FlyoutMenuDirective

- - Defined in packages/angular/src/flyout-menu/flyout-menu.directive.ts:48

  Creates an instance of `TooltipDirective`.

  #### Parameters

  - ##### elementRef: ElementRef<any>

  - ##### viewContainerRef: ViewContainerRef

  - ##### dialogService: DialogService

  - ##### eventService: EventService

  #### Returns FlyoutMenuDirective

## Properties

### aiFlyoutMenu

@Input()
aiFlyoutMenu: string | TemplateRef<any>

- Defined in packages/angular/src/flyout-menu/flyout-menu.directive.ts:25

The string or template content to be exposed by the tooltip.

### appendInline

appendInline: boolean

- Defined in node_modules/carbon-components-angular/dialog/dialog.directive.d.ts:85

Set to `true` to open the dialog next to the triggering component

### Readonly ariaOwns

ariaOwns: string

- Defined in node_modules/carbon-components-angular/dialog/dialog.directive.d.ts:117

### className

@HostBinding({"hostPropertyName":"'class.bx--tooltip__trigger'"})
className: boolean = false

- Defined in packages/angular/src/flyout-menu/flyout-menu.directive.ts:35

bx--tooltip__trigger is inherited from TooltipDirective and it enables focus indication

### closeTrigger

closeTrigger: "mouseout" | "mouseleave"

- Defined in node_modules/carbon-components-angular/dialog/dialog.directive.d.ts:62

Defines how the Dialog close event is triggered.

See here for more on the difference between `mouseleave` and `mouseout`.

Defaults to `click` when `trigger` is set to `click`.

### data

data: {}

- Defined in node_modules/carbon-components-angular/dialog/dialog.directive.d.ts:89

Optional data for templates

#### Type declaration

### Readonly descriptorId

descriptorId: string

- Defined in node_modules/carbon-components-angular/dialog/tooltip/tooltip.directive.d.ts:58

### dialogConfig

dialogConfig: DialogConfig

- Defined in node_modules/carbon-components-angular/dialog/dialog.directive.d.ts:102

Config object passed to the rendered component

### Protected dialogRef

dialogRef: ComponentRef<Dialog>

- Defined in node_modules/carbon-components-angular/dialog/dialog.directive.d.ts:121

Keeps a reference to the currently opened dialog

### Protected dialogService

dialogService: DialogService

### disabled

disabled: boolean

- Defined in node_modules/carbon-components-angular/dialog/dialog.directive.d.ts:94

This prevents the dialog from being toggled

### Protected elementRef

elementRef: ElementRef<any>

### Protected eventService

eventService: EventService

### flip

@Input()
flip: boolean = false

- Defined in packages/angular/src/flyout-menu/flyout-menu.directive.ts:29

Controls wether the overflow menu is flipped

### gap

gap: number

- Defined in node_modules/carbon-components-angular/dialog/dialog.directive.d.ts:81

Spacing between the dialog and it's triggering element

### hasPopup

hasPopup: boolean

- Defined in node_modules/carbon-components-angular/dialog/dialog.directive.d.ts:116

### ibmDialog

ibmDialog: string | TemplateRef<any>

- Defined in node_modules/carbon-components-angular/dialog/dialog.directive.d.ts:48

Dialog body content.

### ibmTooltip

ibmTooltip: string | TemplateRef<any>

- Defined in node_modules/carbon-components-angular/dialog/tooltip/tooltip.directive.d.ts:51

The string or template content to be exposed by the tooltip.

### isOpen

isOpen: boolean

- Defined in node_modules/carbon-components-angular/dialog/dialog.directive.d.ts:90

### isOpenChange

isOpenChange: EventEmitter<boolean>

- Defined in node_modules/carbon-components-angular/dialog/dialog.directive.d.ts:114

Emits an event when the state of `isOpen` changes. Allows `isOpen` to be double bound

### menuClass

@HostBinding({"hostPropertyName":"'class.iot--flyout-menu'"})
menuClass: boolean = true

- Defined in packages/angular/src/flyout-menu/flyout-menu.directive.ts:31

### offset

offset: { x: number; y: number }

- Defined in node_modules/carbon-components-angular/dialog/dialog.directive.d.ts:70

This specifies any vertical and horizontal offset for the position of the dialog

#### Type declaration

- ##### x: number

- ##### y: number

### onClose

onClose: EventEmitter<any>

- Defined in node_modules/carbon-components-angular/dialog/dialog.directive.d.ts:106

Emits an event when the dialog is closed

### onOpen

onOpen: EventEmitter<any>

- Defined in node_modules/carbon-components-angular/dialog/dialog.directive.d.ts:110

Emits an event when the dialog is opened

### placement

placement: string

- Defined in node_modules/carbon-components-angular/dialog/dialog.directive.d.ts:66

Placement of the dialog, usually relative to the element the directive is on.

### role

role: string

- Defined in node_modules/carbon-components-angular/dialog/dialog.directive.d.ts:115

### shouldClose

shouldClose: (meta: CloseMeta) => boolean

- Defined in node_modules/carbon-components-angular/dialog/dialog.directive.d.ts:98

This input allows explicit control over how the dialog should close

#### Type declaration

- - (meta: CloseMeta): boolean

  - #### Parameters

    - ##### meta: CloseMeta

    #### Returns boolean

### tabIndex

@HostBinding({"hostPropertyName":"'tabindex'"})
tabIndex: number = -1

- Defined in packages/angular/src/flyout-menu/flyout-menu.directive.ts:39

Override tabindex to make it not tabbable

### title

title: string

- Defined in node_modules/carbon-components-angular/dialog/dialog.directive.d.ts:44

Title for the dialog

### tooltipType

tooltipType: "" | "error" | "warning"

- Defined in node_modules/carbon-components-angular/dialog/tooltip/tooltip.directive.d.ts:55

Set tooltip type to reflect 'warning' or 'error' styles.

### trigger

trigger: "click" | "hover" | "mouseenter"

- Defined in node_modules/carbon-components-angular/dialog/dialog.directive.d.ts:53

Defines how the Dialog is triggered.(Hover and click behave the same on mobile - both respond to a single tap). Do not add focusable elements if trigger is `hover` or `mouseenter`.

### Protected viewContainerRef

viewContainerRef: ViewContainerRef

### wrapperClass

wrapperClass: string

- Defined in node_modules/carbon-components-angular/dialog/dialog.directive.d.ts:77

Classes to add to the dialog container

### Static dialogCounter

dialogCounter: number

- Defined in node_modules/carbon-components-angular/dialog/dialog.directive.d.ts:40

## Accessors

### menuBottomClass

@HostBinding({"hostPropertyName":"'class.iot--flyout-menu__bottom'"})

- get menuBottomClass(): boolean

- - Defined in packages/angular/src/flyout-menu/flyout-menu.directive.ts:43

  #### Returns boolean

### menuTopClass

@HostBinding({"hostPropertyName":"'class.iot--flyout-menu__top'"})

- get menuTopClass(): boolean

- - Defined in packages/angular/src/flyout-menu/flyout-menu.directive.ts:46

  #### Returns boolean

### openClass

@HostBinding({"hostPropertyName":"'class.iot--flyout-menu__open'"})

- get openClass(): boolean

- - Defined in packages/angular/src/flyout-menu/flyout-menu.directive.ts:40

  #### Returns boolean

## Methods

### close

- close(meta?: CloseMeta): void

- - Defined in node_modules/carbon-components-angular/dialog/dialog.directive.d.ts:153

  Helper method to close the dialogRef.

  #### Parameters

  - ##### Optional meta: CloseMeta

  #### Returns void

### ngOnChanges

- ngOnChanges(changes: SimpleChanges): void

- - Defined in node_modules/carbon-components-angular/dialog/dialog.directive.d.ts:130

  #### Parameters

  - ##### changes: SimpleChanges

  #### Returns void

### ngOnDestroy

- ngOnDestroy(): void

- - Defined in node_modules/carbon-components-angular/dialog/dialog.directive.d.ts:140

  When the host dies, kill the popover.

  - Useful for use in a modal or similar.

  #### Returns void

### ngOnInit

- ngOnInit(): void

- - Defined in node_modules/carbon-components-angular/dialog/dialog.directive.d.ts:135

  Sets the config object and binds events for hovering or clicking before running code from child class.

  #### Returns void

### Protected onDialogChanges

- onDialogChanges(_changes: SimpleChanges): void

- - Defined in node_modules/carbon-components-angular/dialog/dialog.directive.d.ts:163

  Empty method for child to override and specify additional on changes steps. run after DialogDirective completes it's ngOnChanges.

  #### Parameters

  - ##### _changes: SimpleChanges

  #### Returns void

### Protected onDialogInit

- onDialogInit(): void

- - Defined in node_modules/carbon-components-angular/dialog/dialog.directive.d.ts:158

  Empty method for child classes to override and specify additional init steps. Run after DialogDirective completes it's ngOnInit.

  #### Returns void

### open

- open(): ComponentRef<Dialog>

- - Defined in node_modules/carbon-components-angular/dialog/dialog.directive.d.ts:145

  Helper method to call dialogService 'open'.

  - Enforce accessibility by updating an aria attr for nativeElement.

  #### Returns ComponentRef<Dialog>

### toggle

- toggle(meta?: CloseMeta): void

- - Defined in node_modules/carbon-components-angular/dialog/dialog.directive.d.ts:149

  Helper method to toggle the open state of the dialog

  #### Parameters

  - ##### Optional meta: CloseMeta

  #### Returns void

### updateConfig

- updateConfig(): void

- - Defined in packages/angular/src/flyout-menu/flyout-menu.directive.ts:63

  #### Returns void

Generated using TypeDoc